summaryrefslogtreecommitdiff
path: root/repo/python-cffi/python-cffi.xibuild
diff options
context:
space:
mode:
Diffstat (limited to 'repo/python-cffi/python-cffi.xibuild')
-rw-r--r--repo/python-cffi/python-cffi.xibuild31
1 files changed, 31 insertions, 0 deletions
diff --git a/repo/python-cffi/python-cffi.xibuild b/repo/python-cffi/python-cffi.xibuild
new file mode 100644
index 0000000..ca5c1c4
--- /dev/null
+++ b/repo/python-cffi/python-cffi.xibuild
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+NAME="python-cffi"
+DESC="Foreign function interface for calling C code from Python3"
+
+MAKEDEPS="python libffi"
+
+PKG_VER=1.15.0
+SOURCE="https://files.pythonhosted.org/packages/source/c/cffi/cffi-$PKG_VER.tar.gz"
+
+ADDITIONAL="
+musl-compat.patch
+"
+
+prepare () {
+ apply_patches
+}
+
+build() {
+ python3 setup.py build
+}
+
+check() {
+ python3 setup.py build_ext -i
+ python3 -m pytest --disable-pytest-warnings c/ testing/ || true
+}
+
+package() {
+ python3 setup.py install --prefix=/usr --root="$PKG_DEST"
+}
+